Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Compound Members | File Members

# LampForMaya::TranslationAnimationUtility Class Reference

変換アニメーションユーティリティ More...

`#include <TranslationAnimationUtility.h>`

List of all members.

## Static Public Member Functions
VectorArrayInterpolator * | analyzeVectorAnimation (const MObject &object, const MString &attributeName, const Vector3 &defaultValue, int startTime, int endTime)
| ベクトルアニメーションの分析
EulerArrayInterpolator * | analyzeRotationAnimation (const MObject &object, const MString &attributeName, const Vector3 &defaultValue, int startTime, int endTime)
| 回転アニメーションの分析

## Detailed Description

変換アニメーションユーティリティ

Definition at line 39 of file TranslationAnimationUtility.h.

## Member Function Documentation

EulerArrayInterpolator * LampForMaya::TranslationAnimationUtility::analyzeRotationAnimation | ( | const MObject & | object,
|  | const MString & | attributeName,
|  | const Vector3 & | defaultValue,
|  | int | startTime,
|  | int | endTime
| ) | `[static]`

  | 回転アニメーションの分析 Parameters:
  object | アニメーションを持つオブジェクト
  attributeName | ベクトルアニメーションを持つアトリビュート名
  defaultValue | デフォルト値
  startTime | 開始時間
  endTime | 終了時間
Returns: 回転アニメーション。呼び出し元でdeleteが必要。 Definition at line 72 of file TranslationAnimationUtility.cpp. References MayaStatusCheck.

VectorArrayInterpolator * LampForMaya::TranslationAnimationUtility::analyzeVectorAnimation | ( | const MObject & | object,
|  | const MString & | attributeName,
|  | const Vector3 & | defaultValue,
|  | int | startTime,
|  | int | endTime
| ) | `[static]`

  | ベクトルアニメーションの分析 Parameters:
  object | アニメーションを持つオブジェクト
  attributeName | ベクトルアニメーションを持つアトリビュート名
  defaultValue | デフォルト値
  startTime | 開始時間
  endTime | 終了時間
Returns: ベクトルアニメーション。呼び出し元でdeleteが必要。 Definition at line 34 of file TranslationAnimationUtility.cpp. References MayaStatusCheck.

The documentation for this class was generated from the following files:

- TranslationAnimationUtility.h
- TranslationAnimationUtility.cpp